%define ver_major 2.31
%def_disable gtk_doc
%define webkit_api_ver 1.0

Name: seed
Version: %ver_major.91.1
Release: alt1.M60P.1

Summary: GObject JavaScriptCore bridge
License: LGPLv3+/GPLv3+
Group: Development/Other
Url: http://live.gnome.org/Seed

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-2.31.91.1-link.patch
Patch1: %name-2.31.91.1-dont-build-doc.patch 

Provides: %_bindir/%name

Requires: lib%name = %version-%release

BuildRequires: libffi-devel
BuildRequires: gobject-introspection-devel >= 0.9.10
BuildRequires: gnome-js-common
BuildRequires: libgtk+2-devel
BuildRequires: libwebkitgtk2-devel
BuildRequires: libreadline-devel
BuildRequires: libsqlite3-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libmpfr-devel
BuildRequires: libxml2-devel
BuildRequires: gtk-doc
BuildRequires: intltool

# for tests
# BuildRequires: libgtk+2-gir

%description
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

%package -n lib%name
Group: System/Libraries
Summary: GObject JavaScriptCore bridge - shared library

%description -n lib%name
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

%package -n lib%name-devel
Summary: Development files for GObject JavaScriptCore bridge 
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

This package provides development headers and libraries for Seed

%package -n lib%name-devel-doc
Summary: Development documentation for GObject JavaScriptCore bridge 
Group: Development/C
Conflicts: lib%name < %version

%description -n lib%name-devel-doc
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

This package provides development documentation for Seed

%define pkgdocdir %_docdir/%name-%version

%prep
%setup -q
%patch -b .link
%patch1 -p2

# install documentation in proper location
find doc -name "Makefile*" -print0|xargs -r0 subst 's@\$(datadir)/doc/seed@%pkgdocdir@' --

# since 2.29.91 m4 directory not used
subst '/ACLOCAL_AMFLAGS = -I m4/d' Makefile.am

rm -f seed.pc

%build
%autoreconf
%configure \
	--disable-static \
	%{?_enable_gtk_doc:--enable-gtk-doc} \
	--with-webkit=%webkit_api_ver

%make_build

%install
%make DESTDIR=%buildroot install

#%check
#%make check

%files
%_bindir/%name
%_datadir/%name
%_man1dir/*
%_libdir/%name/
%exclude %_libdir/%name/*.la
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name
%_libdir/lib%name.so.*

%files -n lib%name-devel
%_libdir/lib%name.so
%_libdir/pkgconfig/%name.pc
%_includedir/%name

%files -n lib%name-devel-doc
#%pkgdocdir/

%changelog
* Sat Jan 12 2013 Andrey Cherepanov <cas@altlinux.org> 2.31.91.1-alt1.M60P.1
- Rebuild with new version of libwebkitgtk2
- Does not build doc

* Tue Nov 16 2010 Yuri N. Sedunov <aris@altlinux.org> 2.31.91.1-alt1
- build of current snapshot

* Wed Sep 01 2010 Yuri N. Sedunov <aris@altlinux.org> 2.31.91-alt1
- 2.31.91

* Sun Aug 22 2010 Yuri N. Sedunov <aris@altlinux.org> 2.31.5-alt1
- 2.31.5

* Sun Aug 22 2010 Yuri N. Sedunov <aris@altlinux.org> 2.31.1-alt2
- rebuild against libffi.so.5

* Mon Mar 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.31.1-alt1
- 2.31.1

* Tue Feb 23 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.91.1-alt1
- 2.29.91.1

* Tue Feb 09 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.90-alt1
- 2.29.90

* Tue Jan 26 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.6-alt1
- 2.29.6

* Fri Jan 08 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5.2-alt1
- 2.29.5.2
- properly linked modules

* Sun Jan 03 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5.1-alt1
- 2.29.5.1

* Wed Dec 02 2009 Yuri N. Sedunov <aris@altlinux.org> 2.29.3-alt1
- 2.29.3

* Mon Sep 21 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- first build for sisyphus

